# opentl::core::cvdata::PoseFactory Class Reference

List of all members.

## Public Member Functions
| PoseFactory ()
virtual | ~PoseFactory ()
## Static Public Member Functions
static opentl::core::cvdata::Pose * | instantiatePoseByType (opentl::core::cvdata::CvData::DataReprType poseType, opentl::core::cvdata::Pose::T_UPDATEMODE updateMode, std::vector< math::Vector2 > *poseLimits=NULL, opentl::core::cvdata::ShapeAppearance *shape=NULL, opentl::core::cvdata::CvData::DataReprType internalType=opentl::core::cvdata::CvData::POSE_NULL, std::vector< math::Vector2 > *verticesList=NULL, std::vector< std::vector< std::size_t > > *trianglesList=NULL, math::Matrix *deformationModes=NULL)
| Increment pose data by incremental pose data.

## Constructor & Destructor Documentation

opentl::core::cvdata::PoseFactory::PoseFactory | ( |  | ) |

virtual opentl::core::cvdata::PoseFactory::~PoseFactory | ( |  | ) | `[virtual]`

## Member Function Documentation

static opentl::core::cvdata::Pose* opentl::core::cvdata::PoseFactory::instantiatePoseByType | ( | opentl::core::cvdata::CvData::DataReprType | poseType,
|  | opentl::core::cvdata::Pose::T_UPDATEMODE | updateMode,
|  | std::vector< math::Vector2 > * | poseLimits = `NULL`,
|  | opentl::core::cvdata::ShapeAppearance * | shape = `NULL`,
|  | opentl::core::cvdata::CvData::DataReprType | internalType = `opentl::core::cvdata::CvData::POSE_NULL`,
|  | std::vector< math::Vector2 > * | verticesList = `NULL`,
|  | std::vector< std::vector< std::size_t > > * | trianglesList = `NULL`,
|  | math::Matrix * | deformationModes = `NULL` |
| ) |  |  | `[inline, static]`

Increment pose data by incremental pose data.

Parameters:

  | poseType | Type of pose (e.g. POSE_ARTICULATED, POSE_2D_TRANSLATION, ...)
  | poseLimits | Upper-Lower limits of finite pose parameters
  | shape | ShapeAppearance model (required if a skeleton is needed)
  | internalType | Internal pose type (required by the multi-part synchronous pose)
  | verticesList | List of 2D vertices of the base mesh
  | trianglesList | List of triangular faces (integer indices)
  | deformationModes | Linear deformation modes: Columns = Deformation modes (must be <= # of mesh vertices)